from dataclasses import dataclass, field
from typing import Optional, List

from ._BaseModel import BaseModel


@dataclass
class ServerVariableModel(BaseModel):
    default: str
    enum: List[str] = field(default_factory=list)
    description: Optional[str] = None
